# Zen Addons for SiteOrigin Page Builder

Zen Addons is a collection of helpful widget extensions for SiteOrigin Page Builder. It's simple, flexible, and useful.

**Contributors:** ksym04  
**Tags:** zaso, widgets, siteorigin, addons, page builder  
**Requires at least:** 4.4  
**Tested up to:** 6.3  
**Stable tag:** 1.0.18  
**License:** GPLv3  
**License URI:** https://www.dopethemes.com/gplv3/

## Description

Zen Addons for SiteOrigin Page Builder provides you with a collection of widgets you can use and customize. All widgets are developed under the SiteOrigin widget framework.

### Builder Framework Compatibility

**Page Builder by SiteOrigin (tested plugin version up to):** 2.25.1  
**SiteOrigin Widgets Bundle (tested plugin version up to):** 1.53.0

### Widget Features

-   Spacer: Creates empty space between elements.
-   Simple Accordion/Toggle: Designs a vertically stacked list of items or a single panel.
-   Basic Tabs: Allows the creation of multiple panels within a single window.
-   Alert Box: Offers contextual feedback and flexible alert messages.
-   Icon: Sets a single icon using a popular iconic font or custom upload.
-   Video: Embeds videos from YouTube, Vimeo, or other providers.
-   YouTube Video Lightbox: Creates pop-up lightboxes for YouTube videos.
-   Vimeo Video Lightbox: Creates pop-up lightboxes for Vimeo videos.
-   Contact Form 7: Displays CF7 forms.
-   Info Box: Showcases an information box with an image, title, description, and learn-more button link.
-   Hover Card: Displays an image box, title caption, and learn-more button with hover transition.
-   Image Icon Group: Sets a group of image icons.
-   Widgetized: Integrates existing widget sidebars into the main content.
-   bbPress Forum Index: Displays the entire bbPress forum index.
-   bbPress Topic Index: Shows the 15 most recent topics across all forums with optional pagination and search.
-   bbPress Login: Incorporates the bbPress login form.
-   bbPress Registration: Includes the bbPress registration form.
-   bbPress Lost Password: Implements the bbPress password retrieval form.

### Standards

-   Neatly structured semantic HTML
-   Highly accessible widgets adhering to best ARIA practices
-   SEO-friendly widgets

### Language Support

-   English (en_US)
-   English - Australia (en_AU)

After enabling the extension widget, you can use it wherever standard widgets are used. Manage your widgets by navigating to Plugins > SiteOrigin Widgets in your WordPress admin backend.

Lastly, we recommend activating only the widgets you need.

Note: Our widgets have the prefix name `'ZASO -'`, indicating our SiteOrigin plugin extension.

## Installation

1. Upload the `zen-addons-for-siteorigin-page-builder` directory to the `/wp-content/plugins/` directory via FTP
2. Activate the plugin through the 'Plugins' menu in WordPress
3. Enjoy

## Frequently Asked Questions

### How do I activate your widgets?

First, ensure that the 'SiteOrigin Widgets Bundle' plugin is installed. Then, to enable our ZASO widgets, activate them at `'Plugins > SiteOrigin Widgets'`.
